DynamicJava Javadoc: Class QualifiedName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class QualifiedName

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.QualifiedName

All Implemented Interfaces:
  LeftHandSide

public class QualifiedName
extends PrimaryExpression
implements LeftHandSide

This class represents the qualified name nodes of the syntax tree

Field Summary
`static java.lang.String` | `IDENTIFIERS` The identifiers property name
`static java.lang.String` | `REPRESENTATION` The representation property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`QualifiedName(java.util.List ids)` Creates a new qualified name
`QualifiedName(java.util.List ids, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new qualified name

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.util.List` | `getIdentifiers()` Returns the identifiers that compose this name
`java.lang.String` | `getRepresentation()` Returns the representation of this object
`void` | `setIdentifier(java.util.List l)` Sets the identifiers that compose this name.

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDENTIFIERS

    public static final java.lang.String IDENTIFIERS

  The identifiers property name

### REPRESENTATION

    public static final java.lang.String REPRESENTATION

  The representation property name

Constructor Detail

### QualifiedName

    public QualifiedName(java.util.List ids)

  Creates a new qualified name
  Parameters:
    `ids` - the identifiers (IdentifierTokens) that compose this name
  Throws:
    `java.lang.IllegalArgumentException` - if ids is null

### QualifiedName

    public QualifiedName(java.util.List ids,
                         java.lang.String fn,
                         int bl,
                         int bc,
                         int el,
                         int ec)

  Creates a new qualified name
  Parameters:
    `ids` - the identifiers (IdentifierTokens) that compose this name
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if ids is null

Method Detail

### getRepresentation

    public java.lang.String getRepresentation()

  Returns the representation of this object

### getIdentifiers

    public java.util.List getIdentifiers()

  Returns the identifiers that compose this name

### setIdentifier

    public void setIdentifier(java.util.List l)

  Sets the identifiers that compose this name. Update representation
  Throws:
    `java.lang.IllegalArgumentException` - if l is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.